Admins & permissions
Set Primary Admin Tag
Adds or removes the primary-admin tag on a client admin with activity logging in a serializable transaction.
POSThttps://api.toku.com/hris/set-primary-admin-tag
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/hris/set-primary-admin-tag' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"roleInOrgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"isPrimary": true
}'200 response
{
"roleInOrgID": "string",
"isPrimaryAdmin": true
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
roleInOrgIDstring<uuid>requiredisPrimarybooleanrequiredResponse
200Successful response
roleInOrgIDstringrequiredisPrimaryAdminbooleanrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits